Opened 4 years ago

Closed 4 years ago

#1504 closed task (fixed)

Build-Tools is hardcoded

Reported by: nextloop Owned by: str4d
Priority: minor Milestone:
Component: apps/android Version: 0.9.18
Keywords: Cc: nextloop
Parent Tickets: Sensitive: no

Description

It would be good if the android router would also support newer build tools then 21.0.2.
This removes one line from the F-Droid build recipe in the future.
Thank you

Subtickets

Change History (3)

comment:1 Changed 4 years ago by str4d

Status: newinfoneeded_new

The only reference to version 21.0.2 is the README, which is wrong. I have updated it to read 21.1.2, which is what the gradle.properties is actually using.

If you mean the SDK build tools: I do try to keep the router repository reasonably up-to-date with the build tool releases, but I don't want to go so far as to have a star dependency (e.g. 21.* or 21.1.*). The latter might be justifiable, but I personally don't want to be downloading every single point release of the build tools as they arrive. I would rather upgrade the build tools version when there is time for me to actually test that the new version doesn't break anything (as it has done in the past).

If you mean the NDK build tools: I can't see where that version might be hardcoded, if anywhere.

If you have a strong reason or requirement for this, please provide it :)

comment:2 Changed 4 years ago by nextloop

Status: infoneeded_newnew

Sorry, did not check i2p-mails.
And sorry I meant 21.1.2.
And this can be closed, as F-Droid now takes care itself about the build tools version.

comment:3 Changed 4 years ago by str4d

Milestone: undecided
Resolution: fixed
Status: newclosed

Okay, closing.

Note: See TracTickets for help on using tickets.